hosting
PATCH /v1/uptime/monitors/{monitor_id}
Pause, resume or rename a monitored address.
Kimlik Doğrulama
Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.
Bu uç nokta hiçbir organizasyon kimliği almaz. Anahtarınız zaten ait olduğu organizasyonu tanımlar ve yanıt bu organizasyonla sınırlandırılır.
Dene
Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.
curl -X PATCH https://api.zinndigital.com/v1/uptime/monitors/{monitor_id} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın
Ayrıntılar
Gated on `uptime.manage`. ⛔ The **URL cannot be changed**: a monitor's Core Web Vitals readings are joined back to it by that canonical string, so a mutable URL would silently re-point a monitor at another address's history. Change an address by deleting the monitor and adding another. Pausing closes any open incident, so a paused monitor cannot accrue an outage out of us not looking.
Parametreler
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
monitor_id (path) | string | Evet | — |
İstek gövdesi
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
enabled | boolean | Hayır | Pause or resume. Pausing closes any open incident. |
name | string | Hayır | — |
Yanıt
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
id | string | Evet | — |
url | string | Evet | — |
name | string | Hayır | — |
state | string<unknown, up, down, paused> | Evet | ⛔ `unknown` is a real state and is not a synonym for `up` — it means "not checked yet" and is excluded from every uptime percentage. |
enabled | boolean | Evet | — |
expect_text | string | Hayır | — |
site_id | string | Hayır | Set only when the address happens to be one of this organisation's own sites. Navigation only — the monitor works identically without it, and must, because the product exists to… |
last_result_at | string | Hayır | — |
last_up_at | string | Hayır | — |
last_down_at | string | Hayır | — |
created_at | string | Evet | — |
summary | UptimeSummary | Hayır | — |
history | UptimeHistoryPoint[] | Hayır | — |
incidents | UptimeIncident[] | Hayır | — |
vitals | UptimeVitalsPoint[] | Hayır | — |
migration_offer | UptimeMigrationOffer | Hayır | — |
Bu uç noktanın dönderebileceği hatalar
401 · 403 · 404